Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis
Class TraceAnalysisTool

    java.lang.Object
      kieker.tools.AbstractCommandLineTool
          kieker.tools.traceAnalysis.TraceAnalysisTool

    public final class TraceAnalysisTool

extends AbstractCommandLineTool

This is the main class to start the Kieker TraceAnalysisTool - the model synthesis and analysis tool to process the monitoring data that comes from the instrumented system, or from a file that contains Kieker monitoring data. The Kieker TraceAnalysisTool can produce output such as sequence diagrams, dependency graphs on demand. Alternatively it can be used continuously for online performance analysis, anomaly detection or live visualization of system behavior.

Since:
  0.95a
Author:
  Andre van Hoorn, Matthias Rohr, Nils Christian Ehmke

Field Summary
`static String` | `DATE_FORMAT_PATTERN_CMD_USAGE_HELP`

Fields inherited from class kieker.tools.AbstractCommandLineTool
`CMD_OPT_NAME_DEBUG_LONG, CMD_OPT_NAME_DEBUG_SHORT, CMD_OPT_NAME_HELP_LONG, CMD_OPT_NAME_HELP_SHORT, CMD_OPT_NAME_VERBOSE_LONG, CMD_OPT_NAME_VERBOSE_SHORT`

Method Summary
`static void` | `main(String[] args)`
`static void` | `mainHelper(String[] args, boolean useSystemExit)`

Methods inherited from class kieker.tools.AbstractCommandLineTool
`start`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_FORMAT_PATTERN_CMD_USAGE_HELP

    public static final String DATE_FORMAT_PATTERN_CMD_USAGE_HELP

Method Detail

### main

    public static void main(String[] args)

### mainHelper

    public static void mainHelper(String[] args,
                                  boolean useSystemExit)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net